package com.anyway.favor.service;

import com.anyway.favor.model.User;
import com.anyway.util.PageQuery;

import java.util.List;
import java.util.Map;

/**
 * 用户业务接口
 *
 * @author liuchuanwei
 * @date 2024-02-24
 */
public interface UserService {

    /**
     * 查询全部
     *
     * @return
     */
    List<User> findAll();

    /**
     * 分页查询
     *
     * @param pageQuery
     * @return
     */
    List<User> findPage(PageQuery<Map<String, Object>> pageQuery);

    /**
     * 根据条件查询列表
     *
     * @param map
     * @return
     */
    List<User> findByCondition(Map<String, Object> map);

    /**
     * 根据用户名称查找
     *
     * @param userName
     * @return
     */
    User findByUserName(String userName);

    /**
     * 添加
     *
     * @param user
     * @return
     */
    boolean save(User user);

    /**
     * 添加
     *
     * @param user
     * @return
     */
    boolean add(User user);

    /**
     * 更新
     *
     * @param user
     * @return
     */
    boolean update(User user);

    /**
     * 根据ID删除
     *
     * @param id
     * @return
     */
    boolean deleteById(Long id);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    User findById(Long id);


}
