package com.anyway.util;

import com.anyway.favor.model.User;

/**
 * Session 工具类
 *
 * @author liuchuanwei
 * @date 2024-02-21
 */
public class SessionUtils {

    private static ThreadLocal<User> currentUser = new ThreadLocal<>();
    /**
     * 获取当前登录用户
     *
     * @return
     */
    public static User currentUser() {
        return currentUser.get();
    }
    /**
     * 获取当前登录用户ID
     *
     * @return
     */
    public static Long currentUserId() {
        User currentUser = SessionUtils.currentUser();
        return currentUser.getId();
    }

    public static void putCurrentUser(User user) {
        currentUser.set(user);
    }

    public static void clearCurrentUser() {
        currentUser.remove();
    }
}
